JMXProxyServlet (Apache Tomcat 9.0.83 API Documentation)
Description: declaration: package: org.apache.catalina.manager, class: JMXProxyServlet

Package org.apache.catalina.manager

# Class JMXProxyServlet

java.lang.Object
javax.servlet.GenericServlet
javax.servlet.http.HttpServlet
org.apache.catalina.manager.JMXProxyServlet

All Implemented Interfaces:
  `Serializable`, `Servlet`, `ServletConfig`

public class JMXProxyServlet extends HttpServlet
This servlet will dump JMX attributes in a simple format and implement proxy services for modeler.

Author:
  Costin Manolache
See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected MBeanServer`
  `mBeanServer`
  MBean server.
  `protected Registry`
  `registry`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JMXProxyServlet()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `doGet(HttpServletRequest request, HttpServletResponse response)`
  Process a GET request for the specified resource.
  `void`
  `getAttribute(PrintWriter writer, String onameStr, String att, String key)`
  `void`
  `init()`
  Initialize this servlet.
  `boolean`
  `isSupported(String type)`
  Determines if a type is supported by the `JMXProxyServlet`.
  `void`
  `listBeans(PrintWriter writer, String qry)`
  `void`
  `setAttribute(PrintWriter writer, String onameStr, String att, String val)`

  ### Methods inherited from class javax.servlet.http.HttpServlet

  `doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

  ### Methods inherited from class javax.servlet.GenericServlet

  `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### mBeanServer

    protected transient MBeanServer mBeanServer
    MBean server.

  - ### registry

    protected transient Registry registry

- ## Constructor Details

  - ### JMXProxyServlet

    public JMXProxyServlet()

- ## Method Details

  - ### init

    public void init() throws ServletException
    Initialize this servlet.
    Overrides:
      `init` in class `GenericServlet`
    Throws:
      `ServletException` - if an exception occurs that interrupts the servlet's normal operation

  - ### doGet

    public void doGet(HttpServletRequest request, HttpServletResponse response) throws IOException, ServletException
    Process a GET request for the specified resource.
    Overrides:
      `doGet` in class `HttpServlet`
    Parameters:
      `request` - The servlet request we are processing
      `response` - The servlet response we are creating
    Throws:
      `IOException` - if an input/output error occurs
      `ServletException` - if a servlet-specified error occurs
    See Also:
      - `ServletResponse.setContentType(java.lang.String)`

  - ### getAttribute

    public void getAttribute(PrintWriter writer, String onameStr, String att, String key)

  - ### setAttribute

    public void setAttribute(PrintWriter writer, String onameStr, String att, String val)

  - ### listBeans

    public void listBeans(PrintWriter writer, String qry)

  - ### isSupported

    public boolean isSupported(String type)
    Determines if a type is supported by the `JMXProxyServlet`.
    Parameters:
      `type` - The type to check
    Returns:
      Always returns `true`